Page MenuHomePhabricator

Mobile RTL Wikipedias' main pages are displayed as LTR
Closed, ResolvedPublic

Description

Both http://he.m.wikipedia.org/ and http://ar.m.wikipedia.org/ are displayed left-to-right in the mobile version. I tried on Windows XP and on my mobile phone (Samsung Monte). People are actually complaining about it.


Version: 1.0.0 (Android)
Severity: normal
URL: http://he.m.wikipedia.org/

Details

Reference
bz27363

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:14 PM
bzimport set Reference to bz27363.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Feb 12 2011, 2:55 PM
aude added a comment.Feb 17 2011, 11:18 AM

Confirm problem on iPhone and Ubuntu+Firefox. This is very important to get fixed soon.

brion added a comment.Apr 29 2011, 5:59 PM

I'm seeing this on the *home page* for http://ar.m.wikipedia.org/ http://ckb.m.wikipedia.org/ http://fa.m.wikipedia.org/ etc ...

... but actual *article pages* are coming up RTL:

http://ckb.m.wikipedia.org/wiki/%DA%98%D8%A7%D9%BE%DB%86%D9%86
http://ar.m.wikipedia.org/wiki/%D8%AE%D9%84%D9%8A%D9%81%D8%A9
http://he.m.wikipedia.org/wiki/%D7%94%D7%97%D7%9C%D7%95%D7%A5

... except sometimes they *do* come up LTR on the first view, then RTL on the second.

Might be related to caching or such; the home pages might always come up wrong because they're not showing a regular page as such?

hcatlin wrote:

Fixed in the most recent release (deploying soon)

I'm seeing the same problem on the Android app now. Regression?

I reopened it in RC5, but it doesn't seem to happen in RC5. Fixed?